Skip to content
Start here

Download command output file

client.zeroTrust.dex.commands.downloads.get(stringcommandId, stringfilename, DownloadGetParams { account_id } params, RequestOptionsoptions?): Response
GET/accounts/{account_id}/dex/commands/{command_id}/downloads/{filename}

Downloads artifacts for an executed command. Bulk downloads are not supported

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
commandId: string

Unique identifier for a command

filename: string
params: DownloadGetParams { account_id }
account_id: string

unique identifier linked to an account in the API request path

maxLength32
ReturnsExpand Collapse
unnamed_schema_8 = Response

Download command output file

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const download = await client.zeroTrust.dex.commands.downloads.get(
  '5758fefe-ae7e-4538-a39b-1fef6abcb909',
  'filename',
  { account_id: '01a7362d577a6c3019a474fd6f485823' },
);

console.log(download);

const content = await download.blob();
console.log(content);
Returns Examples